# Method: accounts.limits.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits/list#body.ListAccountLimitsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits/list#try-it)

Lists the limits of an account.

### HTTP request

`GET https://merchantapi.googleapis.com/quota/v1/{parent=accounts/*}/limits`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent account. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of limits to return. The service may return fewer than this value. If unspecified, at most 100 limits will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` Optional. A page token, received from a previous `limits.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `limits.list` must match the call that provided the page token. |
| `filter` | `string` Required. A filter on the limit `type` is required, for example, `type = "products"`. |

### Request body

The request body must be empty.

### Response body

Response message for the `limits.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accountLimits": [ { object (`https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits#AccountLimit`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accountLimits[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/quota_v1/accounts.limits#AccountLimit`)`` The limits for the given account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).